List the calling user's external MCP connections
curl --request GET \
--url https://api-dev.narrative.io/mcp-connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.narrative.io/mcp-connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.narrative.io/mcp-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-dev.narrative.io/mcp-connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-dev.narrative.io/mcp-connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-dev.narrative.io/mcp-connections")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-dev.narrative.io/mcp-connections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"connections": [
{
"connection_id": "b3f1c2a4-5d6e-47f8-9a0b-1c2d3e4f5a6b",
"server_url": "https://huggingface.co/mcp",
"alias": "hf",
"authorization_server": "https://huggingface.co",
"status": "connected",
"expires_at": "2026-07-12T18:30:00Z",
"created_at": "2026-07-12T17:00:00Z",
"updated_at": "2026-07-12T17:02:11Z"
}
]
}MCP Connections
List the calling user's external MCP connections
Returns the caller’s external MCP connections with their status. This is the status view — no client secret and no access/refresh tokens are ever returned.
Scope: per-user, not per-company
Results are filtered by both company_id and user_id from the bearer token — peers in
the same company are not visible. Not paginated; the empty state is connections: [].
Permission
agent_conversations resource with read verb.
Example
curl "$API/mcp-connections" \
-H "Authorization: Bearer $TOKEN"
GET
/
mcp-connections
List the calling user's external MCP connections
curl --request GET \
--url https://api-dev.narrative.io/mcp-connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.narrative.io/mcp-connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.narrative.io/mcp-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-dev.narrative.io/mcp-connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-dev.narrative.io/mcp-connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-dev.narrative.io/mcp-connections")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-dev.narrative.io/mcp-connections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"connections": [
{
"connection_id": "b3f1c2a4-5d6e-47f8-9a0b-1c2d3e4f5a6b",
"server_url": "https://huggingface.co/mcp",
"alias": "hf",
"authorization_server": "https://huggingface.co",
"status": "connected",
"expires_at": "2026-07-12T18:30:00Z",
"created_at": "2026-07-12T17:00:00Z",
"updated_at": "2026-07-12T17:02:11Z"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
The caller's connections. Empty connections if there are none.
Response for GET /mcp-connections: the caller's connections. Not paginated. Empty
connections when the caller has none.
Show child attributes
Show child attributes
Was this page helpful?

